<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_162) on Thu May 10 14:42:23 CEST 2018 -->
<title>Board</title>
<meta name="date" content="2018-05-10">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Board";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../geosweep/board/Field.html" title="class in geosweep.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?geosweep/board/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">geosweep.board</div>
<h2 title="Class Board" class="title">Class Board</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>geosweep.board.Board</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Board</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#bombs">bombs</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#clicks">clicks</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../geosweep/board/Field.html" title="class in geosweep.board">Field</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#cluster">cluster</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#geometry">geometry</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.util.Stack&lt;int[][]&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#lastBoards">lastBoards</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#SHAPE_HEX">SHAPE_HEX</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#SHAPE_RECT">SHAPE_RECT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#SHAPE_TRIANGLE">SHAPE_TRIANGLE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#status">status</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#STATUS_GAME">STATUS_GAME</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#STATUS_LOSE">STATUS_LOSE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#STATUS_WIN">STATUS_WIN</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#Board-int-int-int-int-">Board</a></span>(int&nbsp;x,
     int&nbsp;y,
     int&nbsp;geo,
     int&nbsp;bombs)</code>
<div class="block">Constructor with size and shape</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#click-int-int-">click</a></span>(int&nbsp;x,
     int&nbsp;y)</code>
<div class="block">Clicks the field, therefor a bomb explodes or field get revealed</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#doubleClick-int-int-">doubleClick</a></span>(int&nbsp;x,
           int&nbsp;y)</code>
<div class="block">Double clicks the field</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>private <a href="../../geosweep/board/Field.html" title="class in geosweep.board">Field</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#emptyField-int-int-">emptyField</a></span>(int&nbsp;x,
          int&nbsp;y)</code>
<div class="block">Creates an empty 2D Array of Fields</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#evaluate--">evaluate</a></span>()</code>
<div class="block">evaluates the board status</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getClicks--">getClicks</a></span>()</code>
<div class="block">Returns the number of clicks</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getGeometry--">getGeometry</a></span>()</code>
<div class="block">Returns the shape of the fields</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getHeight--">getHeight</a></span>()</code>
<div class="block">Returns the height of the board</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;java.lang.Integer[]&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getHexNeighbours-int-int-">getHexNeighbours</a></span>(int&nbsp;x,
                int&nbsp;y)</code>
<div class="block">Returns the neighbours, if board is hex shaped</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getNeighbouringBombs-int-int-">getNeighbouringBombs</a></span>(int&nbsp;x,
                    int&nbsp;y)</code>
<div class="block">Returns the number of bombs in the neighbours of the field</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;java.lang.Integer[]&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getNeighbours-int-int-">getNeighbours</a></span>(int&nbsp;x,
             int&nbsp;y)</code>
<div class="block">Returns the neighbours of a field</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;java.lang.Integer[]&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getRectNeighbours-int-int-">getRectNeighbours</a></span>(int&nbsp;x,
                 int&nbsp;y)</code>
<div class="block">Returns an arraylist of all neighbours, if the shape is rect</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getStatus--">getStatus</a></span>()</code>
<div class="block">Returns the status</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>private java.util.ArrayList&lt;java.lang.Integer[]&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getTriangleNeighbours-int-int-">getTriangleNeighbours</a></span>(int&nbsp;x,
                     int&nbsp;y)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getView--">getView</a></span>()</code>
<div class="block">Returns an integer array represantation of the Board</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#getWidth--">getWidth</a></span>()</code>
<div class="block">Returns the width of the board</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#mark-int-int-">mark</a></span>(int&nbsp;x,
    int&nbsp;y)</code>
<div class="block">Marks the field</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#placeBombs--">placeBombs</a></span>()</code>
<div class="block">Places the bombs randomly on the board</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#reset--">reset</a></span>()</code>
<div class="block">resets the board, but keeps the bombs</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#restoreBoard-int:A:A-">restoreBoard</a></span>(int[][]&nbsp;view)</code>
<div class="block">restores the board from a view</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#reveal-int-int-">reveal</a></span>(int&nbsp;x,
      int&nbsp;y)</code>
<div class="block">Reveals the field and other fields recursively if necessary</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#revealNeighbours-int-int-">revealNeighbours</a></span>(int&nbsp;x,
                int&nbsp;y)</code>
<div class="block">Reveals all neighbours of a field
 Calls the fitting method for that shape</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#revealRectNeighbours-int-int-">revealRectNeighbours</a></span>(int&nbsp;x,
                    int&nbsp;y)</code>
<div class="block">Calls the reveal method on all neighbours, in rect shape</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#toString--">toString</a></span>()</code>
<div class="block">Returns a simple String version of the board</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../geosweep/board/Board.html#undo--">undo</a></span>()</code>
<div class="block">undoes the last step</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="geometry">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>geometry</h4>
<pre>private&nbsp;int geometry</pre>
</li>
</ul>
<a name="cluster">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cluster</h4>
<pre>private&nbsp;<a href="../../geosweep/board/Field.html" title="class in geosweep.board">Field</a>[][] cluster</pre>
</li>
</ul>
<a name="status">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>status</h4>
<pre>private&nbsp;int status</pre>
</li>
</ul>
<a name="bombs">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bombs</h4>
<pre>private&nbsp;int bombs</pre>
</li>
</ul>
<a name="clicks">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clicks</h4>
<pre>private&nbsp;int clicks</pre>
</li>
</ul>
<a name="lastBoards">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lastBoards</h4>
<pre>private&nbsp;java.util.Stack&lt;int[][]&gt; lastBoards</pre>
</li>
</ul>
<a name="SHAPE_RECT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHAPE_RECT</h4>
<pre>public static final&nbsp;int SHAPE_RECT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Board.SHAPE_RECT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHAPE_TRIANGLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHAPE_TRIANGLE</h4>
<pre>public static final&nbsp;int SHAPE_TRIANGLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Board.SHAPE_TRIANGLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHAPE_HEX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHAPE_HEX</h4>
<pre>public static final&nbsp;int SHAPE_HEX</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Board.SHAPE_HEX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_WIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_WIN</h4>
<pre>public static final&nbsp;int STATUS_WIN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Board.STATUS_WIN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_LOSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>STATUS_LOSE</h4>
<pre>public static final&nbsp;int STATUS_LOSE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Board.STATUS_LOSE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="STATUS_GAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>STATUS_GAME</h4>
<pre>public static final&nbsp;int STATUS_GAME</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#geosweep.board.Board.STATUS_GAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Board-int-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Board</h4>
<pre>public&nbsp;Board(int&nbsp;x,
             int&nbsp;y,
             int&nbsp;geo,
             int&nbsp;bombs)
      throws java.lang.IllegalArgumentException</pre>
<div class="block">Constructor with size and shape</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - board width</dd>
<dd><code>y</code> - board height</dd>
<dd><code>bombs</code> - bombs to place</dd>
<dd><code>shape</code> - geometric shape of the Board</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="emptyField-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptyField</h4>
<pre>private&nbsp;<a href="../../geosweep/board/Field.html" title="class in geosweep.board">Field</a>[][]&nbsp;emptyField(int&nbsp;x,
                             int&nbsp;y)</pre>
<div class="block">Creates an empty 2D Array of Fields</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - width of the array</dd>
<dd><code>y</code> - height of the array</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>empty 2D array of fields</dd>
</dl>
</li>
</ul>
<a name="getNeighbouringBombs-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNeighbouringBombs</h4>
<pre>private&nbsp;int&nbsp;getNeighbouringBombs(int&nbsp;x,
                                 int&nbsp;y)</pre>
<div class="block">Returns the number of bombs in the neighbours of the field</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of bombs</dd>
</dl>
</li>
</ul>
<a name="revealNeighbours-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>revealNeighbours</h4>
<pre>private&nbsp;void&nbsp;revealNeighbours(int&nbsp;x,
                              int&nbsp;y)</pre>
<div class="block">Reveals all neighbours of a field
 Calls the fitting method for that shape</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
</dl>
</li>
</ul>
<a name="revealRectNeighbours-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>revealRectNeighbours</h4>
<pre>private&nbsp;void&nbsp;revealRectNeighbours(int&nbsp;x,
                                  int&nbsp;y)</pre>
<div class="block">Calls the reveal method on all neighbours, in rect shape</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
</dl>
</li>
</ul>
<a name="getTriangleNeighbours-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTriangleNeighbours</h4>
<pre>private&nbsp;java.util.ArrayList&lt;java.lang.Integer[]&gt;&nbsp;getTriangleNeighbours(int&nbsp;x,
                                                                       int&nbsp;y)</pre>
</li>
</ul>
<a name="getRectNeighbours-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRectNeighbours</h4>
<pre>private&nbsp;java.util.ArrayList&lt;java.lang.Integer[]&gt;&nbsp;getRectNeighbours(int&nbsp;x,
                                                                   int&nbsp;y)</pre>
<div class="block">Returns an arraylist of all neighbours, if the shape is rect</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y positino of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>arraylist of neighbours</dd>
</dl>
</li>
</ul>
<a name="getHexNeighbours-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHexNeighbours</h4>
<pre>private&nbsp;java.util.ArrayList&lt;java.lang.Integer[]&gt;&nbsp;getHexNeighbours(int&nbsp;x,
                                                                  int&nbsp;y)</pre>
<div class="block">Returns the neighbours, if board is hex shaped</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Arraylist of all neighbours
 TODO does not work</dd>
</dl>
</li>
</ul>
<a name="getNeighbours-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNeighbours</h4>
<pre>private&nbsp;java.util.ArrayList&lt;java.lang.Integer[]&gt;&nbsp;getNeighbours(int&nbsp;x,
                                                               int&nbsp;y)</pre>
<div class="block">Returns the neighbours of a field</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>arraylist of the neighbours as array of their coordinates</dd>
</dl>
</li>
</ul>
<a name="evaluate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>evaluate</h4>
<pre>private&nbsp;void&nbsp;evaluate()</pre>
<div class="block">evaluates the board status</div>
</li>
</ul>
<a name="reveal-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reveal</h4>
<pre>private&nbsp;void&nbsp;reveal(int&nbsp;x,
                    int&nbsp;y)</pre>
<div class="block">Reveals the field and other fields recursively if necessary</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
</dl>
</li>
</ul>
<a name="placeBombs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>placeBombs</h4>
<pre>private&nbsp;void&nbsp;placeBombs()</pre>
<div class="block">Places the bombs randomly on the board</div>
</li>
</ul>
<a name="restoreBoard-int:A:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>restoreBoard</h4>
<pre>private&nbsp;void&nbsp;restoreBoard(int[][]&nbsp;view)</pre>
<div class="block">restores the board from a view</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>view</code> - view to be restored</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Returns a simple String version of the board</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>board as a string</dd>
</dl>
</li>
</ul>
<a name="reset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre>public&nbsp;void&nbsp;reset()</pre>
<div class="block">resets the board, but keeps the bombs</div>
</li>
</ul>
<a name="click-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>click</h4>
<pre>public&nbsp;void&nbsp;click(int&nbsp;x,
                  int&nbsp;y)</pre>
<div class="block">Clicks the field, therefor a bomb explodes or field get revealed</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
</dl>
</li>
</ul>
<a name="doubleClick-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>doubleClick</h4>
<pre>public&nbsp;void&nbsp;doubleClick(int&nbsp;x,
                        int&nbsp;y)</pre>
<div class="block">Double clicks the field</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
</dl>
</li>
</ul>
<a name="mark-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mark</h4>
<pre>public&nbsp;void&nbsp;mark(int&nbsp;x,
                 int&nbsp;y)</pre>
<div class="block">Marks the field</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x position of the field</dd>
<dd><code>y</code> - y position of the field</dd>
</dl>
</li>
</ul>
<a name="getView--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getView</h4>
<pre>public&nbsp;int[][]&nbsp;getView()</pre>
<div class="block">Returns an integer array represantation of the Board</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>integer array containing values as in Field</dd>
</dl>
</li>
</ul>
<a name="getWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWidth</h4>
<pre>public&nbsp;int&nbsp;getWidth()</pre>
<div class="block">Returns the width of the board</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>width of the Board</dd>
</dl>
</li>
</ul>
<a name="getHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre>public&nbsp;int&nbsp;getHeight()</pre>
<div class="block">Returns the height of the board</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>height of the Board</dd>
</dl>
</li>
</ul>
<a name="getGeometry--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGeometry</h4>
<pre>public&nbsp;int&nbsp;getGeometry()</pre>
<div class="block">Returns the shape of the fields</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>shape of the fields</dd>
</dl>
</li>
</ul>
<a name="getClicks--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClicks</h4>
<pre>public&nbsp;int&nbsp;getClicks()</pre>
<div class="block">Returns the number of clicks</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of clicks</dd>
</dl>
</li>
</ul>
<a name="getStatus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatus</h4>
<pre>public&nbsp;int&nbsp;getStatus()</pre>
<div class="block">Returns the status</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>status</dd>
</dl>
</li>
</ul>
<a name="undo--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>undo</h4>
<pre>public&nbsp;void&nbsp;undo()</pre>
<div class="block">undoes the last step</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../geosweep/board/Field.html" title="class in geosweep.board"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?geosweep/board/Board.html" target="_top">Frames</a></li>
<li><a href="Board.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
